## prometheus-xmpp-alerts 0.5.3

=== Makefile ===
PYTHON = python3

all: check flake8

check:
	$(PYTHON) -m unittest prometheus_xmpp.tests.test_suite

flake8:
	flake8

.PHONY: all flake8 check

docker:
	docker build -t jvernooij/prometheus-xmpp-alerts -t ghcr.io/jelmer/prometheus-xmpp-alerts .
	docker push ghcr.io/jelmer/prometheus-xmpp-alerts

## prometheus-xmpp-alerts 0.3+git20190128.4c8868d

=== debian/changelog ===
prometheus-xmpp-alerts (0.3+git20190128.4c8868d-1) unstable; urgency=medium

  * Fix watch file.
  * New upstream snapshot.
  * Add dependency on prometheus-client.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 03 Feb 2019 02:27:42 +0000

prometheus-xmpp-alerts (0.3-1) unstable; urgency=medium

  * Install xmpp-alerts.yml to the right path.
  * New upstream release.
   + Suggests prometheus-alertmanager for amtool integration.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 14 Jan 2019 21:50:26 +0000

prometheus-xmpp-alerts (0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #916540)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 03 Nov 2018 15:53:49 +0000

=== debian/control ===
Source: prometheus-xmpp-alerts
Section: net
Priority: optional
Build-Depends: debhelper (>= 11),
               dh-python,
               python3-all,
               python3-slixmpp,
               python3-setuptools,
               python3-aiowsgi,
               python3-yaml,
               python3-prometheus-client
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Standards-Version: 4.2.1
Testsuite: autopkgtest-pkg-python
Vcs-Browser: https://salsa.debian.org/jelmer/prometheus-xmpp-alerts
Vcs-Git: https://salsa.debian.org/jelmer/prometheus-xmpp-alerts.git/
Homepage: https://jelmer.uk/code/prometheus-xmpp-alerts

Package: prometheus-xmpp-alerts
Architecture: all
Enhances: prometheus-alertmanager
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-slixmpp,
         python3-aiowsgi,
         python3-yaml,
         python3-prometheus-client
Suggests: prometheus-alertmanager
Description: web hook that forwards prometheus alerts over XMPP
 This package provides a web hook for the prometheus alertmanager
 that can deliver alerts from prometheus over XMPP (Jabber).

## prometheus-xmpp-alerts 0.4.2

=== debian/changelog ===
prometheus-xmpp-alerts (0.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Depend on aiohttp rather than aiowsgi.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 20 Jul 2019 14:23:19 +0000

prometheus-xmpp-alerts (0.4.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * New upstream release.

  [ Jelmer Vernooĳ ]
  * New upstream release.
  * Bump debhelper from old 11 to 12.
  * Set upstream metadata fields: Contact.
  * Bump standards version to 4.4.0 (no changes).
  * Add autopkgtest.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 20 Jul 2019 14:09:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: prometheus-xmpp-alerts
 Section: net
 Priority: optional
-Build-Depends: debhelper (>= 11),
+Build-Depends:
                dh-python,
                python3-all,
                python3-slixmpp,
                python3-setuptools,
-               python3-aiowsgi,
+               python3-aiohttp,
                python3-yaml,
-               python3-prometheus-client
+               python3-prometheus-client,
+               debhelper-compat (= 12)
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/jelmer/prometheus-xmpp-alerts
 Vcs-Git: https://salsa.debian.org/jelmer/prometheus-xmpp-alerts.git/
@@ -22,7 +23,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-slixmpp,
-         python3-aiowsgi,
+         python3-aiohttp,
          python3-yaml,
          python3-prometheus-client
 Suggests: prometheus-alertmanager

=== debian/tests/control ===
Tests: testsuite
Depends: @, python3-setuptools
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/?(\d\S+)\.tar\.gz/prometheus-xmpp-alerts-$1\.tar\.gz/ \
    https://github.com/jelmer/prometheus-xmpp-alerts/tags .*/archive/([0-9\.]+)\.tar\.gz

## prometheus-xmpp-alerts 0.5.3

=== debian/changelog ===
prometheus-xmpp-alerts (0.5.3-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Run tests without setuptools (Tobias Heider). Closes: #1079750.

 -- Matthias Klose <doko@debian.org>  Wed, 11 Sep 2024 19:06:48 +0200

prometheus-xmpp-alerts (0.5.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd/udev units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 21:57:59 +0200

prometheus-xmpp-alerts (0.5.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:40:29 +0200

prometheus-xmpp-alerts (0.5.3-1) unstable; urgency=medium

  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.6.1, no changes needed.
  * Update pattern for GitHub archive URLs from /<org>/<repo>/tags
    page/<org>/<repo>/archive/<tag> -> /<org>/<repo>/archive/refs/tags/<tag>.
  * New upstream release.
   + Fixes datetime parsing. Closes: #1019414

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 12 Sep 2022 15:27:07 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                python3-aiohttp,
                python3-yaml,
                python3-prometheus-client,
-               debhelper-compat (= 12)
+               debhelper-compat (= 13)
 Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
-Standards-Version: 4.4.0
+Standards-Version: 4.6.1
 Testsuite: autopkgtest-pkg-python
 Vcs-Browser: https://salsa.debian.org/jelmer/prometheus-xmpp-alerts
 Vcs-Git: https://salsa.debian.org/jelmer/prometheus-xmpp-alerts.git/

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/?(\d\S+)\.tar\.gz/prometheus-xmpp-alerts-$1\.tar\.gz/ https://github.com/jelmer/prometheus-xmpp-alerts/tags .*/archive/refs/tags/v([0-9\.]+)\.tar\.gz
